import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ViewdataService } from '../service/viewdata.service';
import { HomeService } from '../service/home.service';
import { Router } from '@angular/router';
import { AuthService } from '@app/shared/services';
@Component({
  selector: 'app-viewdata',
  templateUrl: './viewdata.component.html',
  styleUrls: ['./viewdata.component.css']
})
export class ViewdataComponent implements OnInit {
  constructor(private route: ActivatedRoute, private reviewdataService: ViewdataService, private homeService: HomeService, private router: Router, private authService: AuthService) { }
  dataId: any;
  user_id: any;
  data: any;
  ngOnInit(): void {
    this.authService.getUser().subscribe(data => this.user_id = data);
    this.route.paramMap.subscribe(params => {
      this.dataId = params.get('dataId');
    });
    this.reviewdataService.getReviewsById(this.dataId).subscribe(response => {
      this.data = response[0];
    });
  }
  deleteData(data: any) {
    console.log(data);
    this.homeService.deleteReview(data).subscribe((response: {}) => { alert('ลบเรียบร้อย'), this.router.navigateByUrl('/'); }
    );
  }
}
